Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class SecureASTCustomizerFactory

- org.codehaus.groovy.control.customizers.builder.SecureASTCustomizerFactory

- This factory allows the generation of a SecureASTCustomizer. Embedded elements are delegated to a SecureASTCustomizer instance.

  Since:
    2.1.0
  Authors:
    Cedric Champeau

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isHandlesNodeChildren()`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @Override public boolean isHandlesNodeChildren()

    - #### public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### @Override public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)